_Elm_Gengrid_Data Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Elm_Gengrid_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields
Eina_Inlist_Sorted_State * | state
Evas_Object * | hit_rect
Evas_Object * | pan_obj
Evas_Object * | obj
Evas_Object * | stack
Eina_List * | selected
Eina_List * | group_items
Eina_Inlist * | items
Elm_Gen_Item * | reorder_it
Elm_Object_Item * | last_selected_item
Elm_Object_Item * | focused_item
| a focused item by keypad arrow or mouse.
Elm_Object_Item * | last_focused_item
| This records the last focused item when widget looses focus.
Elm_Object_Item * | show_it
Elm_Object_Item * | bring_in_it
Elm_Gengrid_Item_Scrollto_Type | scroll_to_type
Eina_Hash * | content_item_map
Eo * | provider
Elm_Gen_Item * | focus_on_realization
Ecore_Job * | calc_job
int | walking
int | item_width
int | item_height
int | group_item_width
int | group_item_height
int | minw
int | minh
unsigned int | item_count
Evas_Coord | pan_x
Evas_Coord | pan_y
Elm_Object_Select_Mode | select_mode
Elm_Object_Multi_Select_Mode | multi_select_mode
| select mode for multiple selection
Ecore_Cb | calc_cb
Ecore_Cb | clear_cb
double | longpress_timeout
int | generation
Eina_Compare_Cb | item_compare_cb
unsigned int | nmax
Evas_Coord | reorder_item_x
Evas_Coord | reorder_item_y
Evas_Coord | old_pan_x
Evas_Coord | old_pan_y
long | items_lost
double | align_x
double | align_y
struct {
Elm_Gen_Item * it1
Elm_Gen_Item * it2
| The items which are getting swapped.
void * data
| This is the data used to store information related to animation.
Elm_Focus_Direction dir
| focus key direction
Ecore_Pos_Map tween_mode
| Position mappings for animation.
Evas_Coord x1
Evas_Coord y1
Evas_Coord x2
Evas_Coord y2
| Coordinates of it1 and it2.
Elm_Gengrid_Reorder_Type type
| Reorder type.
Eina_Bool running: 1
| animation is happening
} | reorder
Elm_Focus_Region_Show_Mode | mode
| the mode which describes which rectangle should be returned in the interest region getter
Eina_Bool | reorder_item_changed: 1
Eina_Bool | move_effect_enabled: 1
Eina_Bool | old_h_bounce
Eina_Bool | old_v_bounce
Eina_Bool | reorder_mode: 1
Eina_Bool | was_selected: 1
Eina_Bool | longpressed: 1
Eina_Bool | pan_changed: 1
Eina_Bool | horizontal: 1
Eina_Bool | highlight: 1
Eina_Bool | clear_me: 1
| a flag whether gengrid is marked as to be cleared or not.
Eina_Bool | on_hold: 1
Eina_Bool | filled: 1
Eina_Bool | multi: 1
Eina_Bool | show_region: 1
Eina_Bool | bring_in: 1
Eina_Bool | mouse_down: 1
| a flag that mouse is down on the list at the moment.
Eina_Bool | item_loop_enable: 1
Eina_Inlist * | item_cache
int | item_cache_count
int | item_cache_max
Eina_Bool | custom_size_mode: 1
unsigned int * | custom_size_sum
unsigned int * | custom_tot_sum
unsigned int | custom_tot_max
unsigned int | custom_alloc_size
Eina_Bool | scr_minw
Eina_Bool | scr_minh
Eina_Bool | order_dirty

## Field Documentation

## ◆ focused_item

Elm_Object_Item* _Elm_Gengrid_Data::focused_item

a focused item by keypad arrow or mouse.

This is set to NULL if widget looses focus.

## ◆ last_focused_item

Elm_Object_Item* _Elm_Gengrid_Data::last_focused_item

This records the last focused item when widget looses focus.

This is required to set the focus on last focused item when widgets gets focus.

## ◆ clear_me

Eina_Bool _Elm_Gengrid_Data::clear_me

a flag whether gengrid is marked as to be cleared or not.

if this flag is true, gengrid clear was already deferred.

## ◆ mouse_down

Eina_Bool _Elm_Gengrid_Data::mouse_down

a flag that mouse is down on the list at the moment.

this flag is set to true on mouse and reset to false on mouse up value whether item loop feature is enabled or not.